WINE(1)

NAME
wine - run Windows programs under Unix

SYNOPSIS
wine [ options ] program_name [ program_name... ]

DESCRIPTION
wine invokes the Windows emulator.

wine currently runs a growing list of applications written for both Win3.1 and Win95. Older, simpler applications work better than newer, more complex ones. A large percentage of the API has been implemented, although there are still several major pieces of work left to do.

REQUIREMENTS
At present, wine will run under any Linux kernel more recent than 0.99.13, or under recent releases of NetBSD/i386, FreeBSD and OpenBSD/i386.

The current support for multithreaded applications relies on the clone(2) system call, which is currently available only on Linux systems running libc6 (glibc2).

X must be installed. To use Wine's support for multithreaded applications, your X libraries must be reetrant. If you have libc6 (glibc2), or you compiled the libraries yourself, they were probably compiled with the reetrant option enabled.

libXpm must be installed. If you're using Red Hat, the name of the package is XFree86-devel. The sources may be FTP'd from ftp.Xfree86.org or its mirrors.

gcc 2.7.x or later is required to build wine. Versions earlier than 2.7.2.3 may have problems when certain files are compiled with optimization.

INSTALLATION
To install Wine, run "./configure" in the top-level directory of the source, which will detect your specific setup and create the Makefiles. You can run "./configure --help" to see the available configuration options. Then do "make depend; make" to build the wine executable, and then "make install" to install it. By default, wine is installed in /usr/local/bin; you can specify a different path with the --prefix option when running configure.

For more information, see the README file contained in the source distribution.

OPTIONS

-backingstore
    Turn on backing store

-debug
    Enter the debugger before starting application

-debugmsg [xxx]#name[,[xxx1]#name1]
    Turn debugging messages on or off.

    xxx is optional and can be one of the following: err, warn, fixme, or trace. If xxx is not specified, all debugging messages for the specified channel are turned on. # is required and can be either + or -. Note that there is not a space after the comma between names.

    For instance:

    -debugmsg warn+dll,+heap will turn on DLL warning messages and all heap messages.
    -debugmsg fixme-all,warn+cursor,+relay will turn off all FIXME messages, turn on cursor warning messages, and turn on all relay messages (API calls).

    The full list of names is: all, accel, advapi, aspi, atom, bitblt, bitmap, caret, cd, cdaudio, class, clipboard, clipping, combo, comm, commctrl, commdlg, console, crtdll, cursor, dc, dde, ddeml, ddraw, debug, dialog, dinput, dll, dosfs, driver, dsound, edit, event, exec, file, fixup, font, gdi, global, graphics, header, heap, hook, icon, imagelist, int, int21, int31, key, keyboard, ldt, listbox, local, mci, mcianim, mciwave, mdi, menu, message, metafile, midi, mmaux, mmio, mmsys, mmtime, module, mpr, msg, nonclient, ntdll, ole, palette, print, process, profile, prop, reg, region, relay, resource, scroll, security, segment, selector, sem, sendmsg, shell, shm, snoop, sound, stress, string, syscolor, task, text, thread, thunk, timer, toolhelp, tweak, uitools, updown, ver, virtual, vxd, win, win16drv, win32, wing, winsock, wnet, x11, x11drv.

    For more information on debugging messages, see the file documentation/debug-msgs in the source distribution.

-depth n
    Change the depth to use for multiple-depth screens

-desktop geom
    Use a desktop window of the given geometry

-display name
    Use the specified display

-dll name
    Enables/disables built-in DLL's - starting wine with -dll -commdlg is probably a good idea. The full list of DLLs modifiable by this is: WIN87EM, SHELL, SOUND, KEYBOARD, WINSOCK, STRESS, MMSYSTEM, SYSTEM, TOOLHELP, MOUSE, COMMDLG, OLE2, OLE2CONV, OLE2DISP, OLE2NLS, OLE2PROX, OLECLI, OLESVR, COMPOBJ, STORAGE, WINPROCS, DDEML, ADVAPI32, COMCTL32, COMDLG32, CRTDLL, GDI32, LZ32, MPR, NTDLL, OLE32, SHELL32, USER32, VER, VERSION, W32SYS, WINMM, WINSPOOL, WSOCK32

-failreadonly
    Read only files may not be opened in write mode (the default is to allow opening read-only files for writing, because most Windows programs always request read-write access, even on CD-ROM drives...).

-fixedmap
    Use a "standard" color map.

-iconic
    Start as an icon

-language xx
    Set the language to xx (one of En, Es, De, No, Fr, Fi, Da, Cz, Eo, It, Ko, Hu, Pl, Po, Sw, Ca)

-managed
    Create each top-level window as a properly managed X window

-mode modename
    Determines the mode in which wine is started. Possible mode names are standard and enhanced. Enhanced mode is the default (when no -mode option is specified).

-name name
    Set the application name

-privatemap
    Use a private color map

-synchronous
    Turn on synchronous display mode

-winver version
    Specify which Windows version WINE should imitate. Possible arguments are: win31, win95, nt351, and nt40.

PROGRAM/ARGUMENTS
The program name may be specified in DOS format (C:\WINDOWS\SOL.EXE) or in Unix format (/msdos/windows/sol.exe). The program being executed may be passed arguments by adding them on to the end of the command line invoking wine (such as: wine "notepad C:\TEMP\README.TXT"). Note that the program name and its arguments must be passed as a single parameter, which is usually accomplished by placing them together in quotation marks. Multiple applications may be started by placing all of them on the command line (such as: wine notepad clock).

CONFIGURATION FILE
wine expects a configuration file (/usr/local/etc/wine.conf), which should conform to the following rules (the format is just like a Windows .ini file). The actual file name may be specified during the execution of the configure script. Alternatively, you may have a .winerc file of this format in your home directory or have the environment variable WINE_INI pointing to a configuration file.

CONFIGURATION FILE FORMAT
All entries are grouped in sections; a section begins with the line
[section name]
and continues until the next section starts. Individual entries consist of lines of the form
entry=value
The value can be any text string, optionally included in single or double quotes; it can also contain references to environment variables surrounded by ${}. Supported section names and entries are listed below.

[Drive X]
This section is used to specify the root directory and type of each DOS drive, since most Windows applications require a DOS/MS-Windows based disk drive & directory scheme. There is one such section for every drive you want to configure.

format: Path = <rootdirectory>
default: none
If you mounted your dos partition as /dos and installed Microsoft Windows in C:\WINDOWS then you should specify Path=/dos in the [Drive C] section.

format: Type = <type>
default: hd
Used to specify the drive type; supported types are floppy, hd, cdrom and network.

format: Label = <label>
default: 'Drive X'
Used to specify the drive label; limited to 11 characters.

format: Serial = <serial>
default: 12345678
Used to specify the drive serial number, as an 8-character hexadecimal number.

format: Filesystem = <fstype>
default: unix
Used to specify the type of the filesystem on which the drive resides; supported types are msdos (or fat), win95 (or vfat), unix. If the drive spans several different filesystems, say unix.

[wine]
format: windows = <directory>
default: C:\WINDOWS
Used to specify a different Windows directory

format: system = <directory>
default: C:\WINDOWS\SYSTEM
Used to specify a different system directory

format: temp = <directory>
default: C:\TEMP
Used to specify a directory where Windows applications can store temporary files.

format: path = <directories separated by semi-colons>
default: C:\WINDOWS;C:\WINDOWS\SYSTEM
Used to specify the path which will be used to find executables and .DLL's.

format: symboltablefile = <filename>
default: wine.sym
Used to specify the path and file name of the symbol table used by the built-in debugger.

[serialports]
format: com[12345678] = <devicename>
default: none
Used to specify the devices which are used as com1 - com8.

[parallelports]
format: lpt[12345678] = <devicename>
default: none
Used to specify the devices which are used as lpt1 - lpt8.

[spy]
format: file = <filename or CON when logging to stdout>
default: none
Used to specify the file which will be used as logfile.

format: exclude = <message names separated by semicolons>
default: none
Used to specify which messages will be excluded from the logfile.

format: include = <message names separated by semicolons>
default: none

[Tweak.Layout]
format: Win95Look=<true|false>
default: false
Use Win95-like window displays or Win3.1-like window displays.

SAMPLE CONFIGURATION FILE
[Drive A]
Path=/mnt/fd0
Type=floppy

[Drive C]
Path=/dos
Type=hd
Label=DOS disk

[Drive D]
Path=${HOME}/Wine

[wine]
windows=c:\windows
system=c:\windows\system
temp=c:\temp
path=c:\windows;c:\windows\system;c:\winapps\word
symboltablefile=/usr/local/lib/wine.sym

[serialports]
com1=/dev/cua1
com2=/dev/cua1

[parallelports]
lpt1=/dev/lp0

[spy]
;File=CON
;File=spy.log
Exclude=WM_TIMER;WM_SETCURSOR;WM_MOUSEMOVE;WM_NCHITTEST;
Include=WM_COMMAND;

[Tweak.Layout]
Win95Look=true

AUTHORS
Wine is available thanks to the work of many developers. For a listing of the authors, please see the file AUTHORS in the top-level directory of the source distribution.

BUGS
There are too many to count, much less list. Some bugs of note, however, are that programs requiring VBRUNxxx.DLL are unreliable (with reports of some working), OLE is not in place, the internal COMMDLG support is not yet at 100% (although rapidly improving). Color support for other than 8bpp (256 colors) is currently flaky.

A status report on many appplications is available from http://www.winehq.com/apps.cgi. Users can add, modify, and delete entries on this list.

Bug reports and successes may be posted to comp.emulators.ms-windows.wine.

AVAILABILITY
The most recent public version of wine can be ftp'ed from sunsite.unc.edu or tsx-11.mit.edu in the /pub/linux/ALPHA/Wine/development directory. The releases are in the format 'Wine-yymmdd.tar.gz', or 'Wine-yymmdd.diff.gz' for the diff's from the previous release.

The wine homepage is at http://www.winehq.com. This website contains a great deal of information about wine as well as a collection of unofficial patches against the current release.

The wine newsgroup is comp.emulators.ms-windows.wine. All discussions about the project take place in this forum.

FILES
/usr/local/bin/wine
    The invoker program.
/usr/local/etc/wine.conf
    Global configuration file for wine.
/usr/local/lib/wine.sym
    Global symbol table (used in debugger)
~/.winerc
    User-specific configuration file

SEE ALSO
clone(2)